org.objectledge.web
Class WebConfigurator

java.lang.Object
  extended by org.objectledge.web.WebConfigurator

public class WebConfigurator
extends Object

MVC configuration component - it provides the access to common MVC configuration.

Version:
$Id: WebConfigurator.java,v 1.9 2005/07/22 17:25:46 pablo Exp $
Author:
Pawel Potempski

Field Summary
private  String actionToken
          the action token
static String DEFAULT_ACTION_TOKEN
          the default action token.
static String DEFAULT_CONTENT_TYPE
          the default content type.
static String DEFAULT_ENCODING
          the default encoding.
static String DEFAULT_VIEW_TOKEN
          the default view token.
private  String defaultContentType
          the default content type
private  String defaultEncoding
          the default encoding
private  String viewToken
          the view token
 
Constructor Summary
WebConfigurator(org.jcontainer.dna.Configuration config)
          Constructor.
 
Method Summary
 String getActionToken()
          Get the action choice request parameter name.
 String getDefaultContentType()
          Get the default content type of MVC created pages.
 String getDefaultEncoding()
          Get the default encoding of MVC created pages.
 String getViewToken()
          Get the view choice request parameter name.
 
Methods inherited from class java.lang.Object
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait
 

Field Detail

DEFAULT_ENCODING

public static final String DEFAULT_ENCODING
the default encoding.

See Also:
Constant Field Values

DEFAULT_CONTENT_TYPE

public static final String DEFAULT_CONTENT_TYPE
the default content type.

See Also:
Constant Field Values

DEFAULT_VIEW_TOKEN

public static final String DEFAULT_VIEW_TOKEN
the default view token.

See Also:
Constant Field Values

DEFAULT_ACTION_TOKEN

public static final String DEFAULT_ACTION_TOKEN
the default action token.

See Also:
Constant Field Values

defaultEncoding

private String defaultEncoding
the default encoding


defaultContentType

private String defaultContentType
the default content type


viewToken

private String viewToken
the view token


actionToken

private String actionToken
the action token

Constructor Detail

WebConfigurator

public WebConfigurator(org.jcontainer.dna.Configuration config)
Constructor.

Parameters:
config - the configuration.
Method Detail

getDefaultEncoding

public String getDefaultEncoding()
Get the default encoding of MVC created pages.

Returns:
the default encoding.

getDefaultContentType

public String getDefaultContentType()
Get the default content type of MVC created pages.

Returns:
the default content type.

getViewToken

public String getViewToken()
Get the view choice request parameter name.

Returns:
the view parameter name.

getActionToken

public String getActionToken()
Get the action choice request parameter name.

Returns:
the action parameter name.


Copyright © 2003-2006 objectledge.org. All Rights Reserved.